ServerEvents.recipes(event => {
  const controller = 'alcubierre:alcubierre_controller'

  event.remove({ output: controller })

  event.shaped(
    Item.of(controller),
    [
      'SNS',
      'PGP',
      'BRB'
    ],
    {
      S: 'create:sturdy_sheet',
      N: 'minecraft:nether_star',
      P: 'create:precision_mechanism',
      G: 'alcubierre:glimmering_bottle',
      B: 'create:brass_casing',
      R: 'minecraft:recovery_compass'
    }
  ).id('kubejs:alcubierre_controller')
})